Skip to main content
GET
Get stablecoin balances for a given address
The Stablecoin Balances API provides a dedicated endpoint for retrieving only stablecoin holdings for a wallet across supported EVM chains. This is a specialized version of the Balances endpoint that filters results to include only configured stablecoins.

Supported Stablecoins

The endpoint includes stablecoins from three categories:
The stablecoin category is used for filtering only and is not included in the response. The response format is identical to the standard Balances endpoint.
On Gnosis chain (chain_id: 100), the native token xDAI is a stablecoin and will be included in results with address: "native".

Alternative Access

You can also access stablecoin balances through the main Balances endpoint using the asset_class query parameter:
Both methods return identical results.

Compute Unit Cost

The Stablecoin Balances endpoint’s CU cost equals the number of chains you include via the chain_ids query parameter, the same as the standard Balances endpoint.
If you omit chain_ids, the endpoint uses its default chain set, which equals chains at request time. See the tags section of the Supported Chains page.

Pagination

This endpoint uses cursor-based pagination, identical to the Balances endpoint. Use the limit query parameter to define the maximum page size. The next_offset value from the response can be used to fetch subsequent pages.

Example Response

Authorizations

X-Sim-Api-Key
string
header
required

API key for authentication. Obtain your key from the Dune dashboard at sim.dune.com.

Path Parameters

address
string<address>
default:0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045
required

Wallet address to get stablecoin balances for

Pattern: ^0x[a-fA-F0-9]{40}$

Query Parameters

chain_ids
string

Filter by chain(s). Accepts numeric chain IDs and/or tags. Provide a single value (e.g. ?chain_ids=1 or ?chain_ids=mainnet) or a comma-separated list (e.g. ?chain_ids=1,8453,137). If omitted, results include balances from chains with the default tag. See the Supported Chains Tags section.

filters
enum<string>

Specify erc20 or native to get only ERC20 stablecoins or native stablecoins (e.g., xDAI on Gnosis), respectively

Available options:
erc20,
native
metadata
string

A comma separated list of additional metadata fields to include for each token. Supported values: logo, url, pools

exclude_spam_tokens
boolean
default:false

When true, excludes tokens with less than 100 USD liquidity from the response. This differs from the low_liquidity field in the response.

exclude_unpriced
boolean
default:false

When true, excludes balances for tokens without available pricing data. By default, unpriced token balances are included.

historical_prices
string

Historical price selection. Provide a single integer or a comma-separated list of up to 3 integers representing hours in the past (e.g. 168 for 1 week ago or 720,168,24 for 1 month, 1 week, and 1 day ago). When set, each balance includes a historical_prices array with one entry per offset.

offset
string

The offset to paginate through result sets. This is a cursor being passed from the previous response, only use what the backend returns here.

limit
integer<int32>
default:1000

Maximum number of balances to return. Default is 1000 when not provided. Values above 1000 are reduced to 1000.

Required range: 1 <= x <= 1000

Response

Successful Response

balances
object[]
required
wallet_address
string
required
Example:

"0xd8da6bf26964af9d7eed9e03e53415d37aa96045"

errors
object
warnings
object[]

Array of warnings that occurred during request processing. Warnings indicate non-fatal issues (e.g., unsupported chain IDs) where the request can still be partially fulfilled.

next_offset
string

Use this value as the offset in your next request to continue pagination. Not included when there are no more balances.

request_time
string<date-time>

Timestamp of when the request was received.

response_time
string<date-time>

Timestamp of when the response was generated.